Package uk.ac.starlink.topcat

# Class ActionForwarder

java.lang.Object
uk.ac.starlink.topcat.ActionForwarder

All Implemented Interfaces:
  `ActionListener`, `EventListener`, `ChangeListener`, `ListDataListener`

public class ActionForwarder extends Object implements ActionListener, ChangeListener, ListDataListener
ActionListener implementation which forwards all ActionEvents to a list of clients. It also implements some other listener interfaces, currently `ChangeListener` and `ListDataListener`. Any events received throught those interfaces will be adapted into ActionEvents and forwarded as well.

Since:
  28 Oct 2005
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ActionForwarder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent evt)`
`void`
`addActionListener(ActionListener listener)`
Adds a new listener to the list of forwardees.
`void`
`contentsChanged(ListDataEvent evt)`
`void`
`intervalAdded(ListDataEvent evt)`
`void`
`intervalRemoved(ListDataEvent evt)`
`void`
`removeActionListener(ActionListener listener)`
Removes a listener which was previously added.
`void`
`stateChanged(ChangeEvent evt)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ActionForwarder

public ActionForwarder()

## Method Details

### addActionListener

public void addActionListener(ActionListener listener)
Adds a new listener to the list of forwardees.

Parameters:
  `listener` - listener to add

### removeActionListener

public void removeActionListener(ActionListener listener)
Removes a listener which was previously added.

Parameters:
  `listener` - listener to remove
See Also:
  - `addActionListener(java.awt.event.ActionListener)`

### actionPerformed

public void actionPerformed(ActionEvent evt)

Specified by:
  `actionPerformed` in interface `ActionListener`

### stateChanged

public void stateChanged(ChangeEvent evt)

Specified by:
  `stateChanged` in interface `ChangeListener`

### contentsChanged

public void contentsChanged(ListDataEvent evt)

Specified by:
  `contentsChanged` in interface `ListDataListener`

### intervalAdded

public void intervalAdded(ListDataEvent evt)

Specified by:
  `intervalAdded` in interface `ListDataListener`

### intervalRemoved

public void intervalRemoved(ListDataEvent evt)

Specified by:
  `intervalRemoved` in interface `ListDataListener`